# Method: projects.locations.multicastGroupProducerActivations.list

- [HTTP request](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations/list#body.ListMulticastGroupProducerActivationsResponse.SCHEMA_REPRESENTATION)

Lists multicast group producer activations in a given project and location.

### HTTP request

`GET https://networkservices.googleapis.com/v1beta1/{parent=projects/*/locations/*}/multicastGroupProducerActivations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource for which to list multicast group producer activations. Use the following format: `projects/*/locations/*`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of multicast group producer activations to return per call. |
| `pageToken` | `string` Optional. A page token from an earlier query, as returned in `nextPageToken`. |
| `filter` | `string` Optional. A filter expression that filters the resources listed in the response. The expression must be of the form `<field> <operator> <value>` where operators: `<`, `>`, `<=`, `>=`, `!=`, `=`, `:` are supported (colon `:` represents a HAS operator which is roughly synonymous with equality). can refer to a proto or JSON field, or a synthetic field. Field names can be camelCase or snake_case. Examples: \* Filter by name: name = "RESOURCE_NAME" \* Filter by labels: \* Resources that have a key named `foo` labels.foo:\* \* Resources that have a key named `foo` whose value is `bar` labels.foo = bar |
| `orderBy` | `string` Optional. A field used to sort the results by a certain order. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations/list#google.cloud.networkservices.v1beta1.MulticastService.ListMulticastGroupProducerActivations`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "multicastGroupProducerActivations": [ { object (`https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations#MulticastGroupProducerActivation`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `multicastGroupProducerActivations[]` | ``object (`https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.multicastGroupProducerActivations#MulticastGroupProducerActivation`)`` The list of multicast group producer activations. |
| `nextPageToken` | `string` A page token from an earlier query, as returned in `nextPageToken`. |
| `unreachable[]` | `string` Locations that could not be reached. |